package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.api.exception.ApiException;
import com.qmth.sop.business.bean.params.SopQuickSearchParam;
import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.business.entity.TBSopQuickSearch;
import com.qmth.sop.business.mapper.TBSopQuickSearchMapper;
import com.qmth.sop.business.service.TBSopQuickSearchService;
import com.qmth.sop.common.contant.SystemConstant;
import com.qmth.sop.common.enums.ExceptionResultEnum;
import com.qmth.sop.common.enums.FieldUniqueEnum;
import com.qmth.sop.common.enums.SopQuickSearchTypeEnum;
import com.qmth.sop.common.enums.TFCustomTypeEnum;
import com.qmth.sop.common.util.ResultUtil;
import com.qmth.sop.common.util.ServletUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.dao.DuplicateKeyException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * sop快捷搜索表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2024-05-21
 */
@Service
public class TBSopQuickSearchServiceImpl extends ServiceImpl<TBSopQuickSearchMapper, TBSopQuickSearch>
        implements TBSopQuickSearchService {

    /**
     * sop快捷搜索列表
     *
     * @param type
     * @param contentType
     * @return
     */
    @Override
    public List<TBSopQuickSearch> list(TFCustomTypeEnum type, SopQuickSearchTypeEnum contentType) {
        return null;
    }

    /**
     * sop快捷搜索保存
     *
     * @param sopQuickSearchParam
     * @return
     */
    @Override
    @Transactional
    public boolean save(SopQuickSearchParam sopQuickSearchParam) {
        SysUser sysUser = (SysUser) ServletUtil.getRequestUser();
        try {

        } catch (Exception e) {
            log.error(SystemConstant.LOG_ERROR, e);
            if (e instanceof DuplicateKeyException) {
                String errorColumn = e.getCause().toString();
                String[] strs = StringUtils.split(errorColumn, "-");
                String[] columns = StringUtils.split(strs[strs.length - 1], "\\'");
                throw ExceptionResultEnum.SQL_ERROR.exception(
                        "[" + FieldUniqueEnum.convertToTitle(columns[columns.length - 1]) + "]数据不允许重复插入");
            } else if (e instanceof ApiException) {
                ResultUtil.error((ApiException) e, ((ApiException) e).getCode(), e.getMessage());
            } else {
                ResultUtil.error(e.getMessage());
            }
        }
        return false;
    }
}
